Download it now!
Bug 91111 - Importing Docbook ignores lists
Summary: Importing Docbook ignores lists
Status: NEW
Alias: None
Product: LibreOffice
Classification: Unclassified
Component: filters and storage (show other bugs)
Version:
(earliest affected)
4.3.2.2 release
Hardware: Other All
: medium normal
Assignee: Not Assigned
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: Docbook
  Show dependency treegraph
 
Reported: 2015-05-06 13:53 UTC by Stéphane Bortzmeyer
Modified: 2020-08-14 04:33 UTC (History)
5 users (show)

See Also:
Crash report or crash signature:


Attachments
Docbook file exhibiting the problem (478 bytes, application/xml)
2015-05-07 13:24 UTC, Stéphane Bortzmeyer
Details
ODT file created and showing the bug (13.48 KB, application/x-httpd-php)
2015-05-07 13:25 UTC, Stéphane Bortzmeyer
Details
docbook [ .xml ] displaying code (55.19 KB, image/png)
2017-07-08 13:22 UTC, vihsa
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stéphane Bortzmeyer 2015-05-06 13:53:03 UTC
When importing a Docbook file, <itemizedlist> are silently ignored.
Comment 1 raal 2015-05-07 13:02:22 UTC
Hello Stéphane,

Thank you for filing the bug. Please send us a sample document, as this makes it easier for us to verify the bug. 
I have set the bug's status to 'NEEDINFO', so please do change it back to 'UNCONFIRMED' once you have attached a document.
(Please note that the attachment will be public, remove any sensitive information before attaching it.)
How can I eliminate confidential data from a sample document?
https://wiki.documentfoundation.org/QA/FAQ#How_can_I_eliminate_confidential_data_from_a_sample_document.3F
Thank you
Comment 2 Stéphane Bortzmeyer 2015-05-07 13:24:44 UTC
Created attachment 115412 [details]
Docbook file exhibiting the problem

Here is a small Docbook file showing the problem./
Comment 3 Stéphane Bortzmeyer 2015-05-07 13:25:38 UTC
Created attachment 115413 [details]
ODT file created and showing the bug

Here, the list of animals was not imported.
Comment 4 Stéphane Bortzmeyer 2015-05-07 13:26:11 UTC
Requested information provided, changing the status.
Comment 5 Buovjaga 2015-05-13 16:28:56 UTC
(In reply to Stéphane Bortzmeyer from comment #2)
> Created attachment 115412 [details]
> Docbook file exhibiting the problem
> 
> Here is a small Docbook file showing the problem./

Reproduced.

For testers: file open dialog - select DocBook (.xml) instead of All files, when you open.

Win 7 Pro 64-bit Version: 5.0.0.0.alpha1+ (x64)
Build ID: ddb3c4531c657cda6ae20dd950020cea1d12ba2e
TinderBox: Win-x86_64@42, Branch:master, Time: 2015-05-11_00:25:02
Locale: fi-FI (fi_FI)
Comment 6 QA Administrators 2016-09-20 10:26:12 UTC Comment hidden (obsolete)
Comment 7 vihsa 2017-07-08 13:17:00 UTC
docbook displays code only, please find attachment.

verified:
version: 6.0.0.0.alpha0+
Build ID: 643da8ec4e721d33dfdf8d78bedd50a915f1188d TinderBox: Android-ARM@24-Bytemark-Hosting, Branch: Master, Time: June 26, 2017 01:29:17

device: lyf flame 3 [ ls-4001 ]
os: android 5.1
Comment 8 vihsa 2017-07-08 13:22:20 UTC
Created attachment 134549 [details]
docbook [ .xml ] displaying code
Comment 9 Buovjaga 2017-07-09 15:04:48 UTC
Krishna: did you use this method to open:

(In reply to Buovjaga from comment #5)
> For testers: file open dialog - select DocBook (.xml) instead of All files,
> when you open.
Comment 10 vihsa 2017-07-12 04:30:30 UTC
i think libreoffice filters is not implemented on 
ibreoffice viewer.

there is no menu ( file, edit, etc,. ) to choose document type.

we can filter to view spreadsheets, documents, etc., on libreoffice viewer file browser.
Comment 11 Buovjaga 2017-07-12 07:02:26 UTC
(In reply to krishna [:kr1shna] from comment #10)
> i think libreoffice filters is not implemented on 
> ibreoffice viewer.
> 
> there is no menu ( file, edit, etc,. ) to choose document type.
> 
> we can filter to view spreadsheets, documents, etc., on libreoffice viewer
> file browser.

Yep, then your issue does not belong in this report, which is for the desktop version.
Comment 12 QA Administrators 2018-08-14 02:32:21 UTC Comment hidden (obsolete)
Comment 13 QA Administrators 2020-08-14 04:33:01 UTC
Dear Stéphane Bortzmeyer,

To make sure we're focusing on the bugs that affect our users today, LibreOffice QA is asking bug reporters and confirmers to retest open, confirmed bugs which have not been touched for over a year.

There have been thousands of bug fixes and commits since anyone checked on this bug report. During that time, it's possible that the bug has been fixed, or the details of the problem have changed. We'd really appreciate your help in getting confirmation that the bug is still present.

If you have time, please do the following:

Test to see if the bug is still present with the latest version of LibreOffice from https://www.libreoffice.org/download/

If the bug is present, please leave a comment that includes the information from Help - About LibreOffice.
 
If the bug is NOT present, please set the bug's Status field to RESOLVED-WORKSFORME and leave a comment that includes the information from Help - About LibreOffice.

Please DO NOT

Update the version field
Reply via email (please reply directly on the bug tracker)
Set the bug's Status field to RESOLVED - FIXED (this status has a particular meaning that is not 
appropriate in this case)


If you want to do more to help you can test to see if your issue is a REGRESSION. To do so:
1. Download and install oldest version of LibreOffice (usually 3.3 unless your bug pertains to a feature added after 3.3) from https://downloadarchive.documentfoundation.org/libreoffice/old/

2. Test your bug
3. Leave a comment with your results.
4a. If the bug was present with 3.3 - set version to 'inherited from OOo';
4b. If the bug was not present in 3.3 - add 'regression' to keyword


Feel free to come ask questions or to say hello in our QA chat: https://kiwiirc.com/nextclient/irc.freenode.net/#libreoffice-qa

Thank you for helping us make LibreOffice even better for everyone!

Warm Regards,
QA Team

MassPing-UntouchedBug